---
title: Update Billing Address
slug: api-documentation/update-billing-address
docTags: 
createdAt: 2026-08-27T16:53:32.339Z
---

{
  "id": "XXlWHsgICMRQM2AoytFnT",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress"
      }
    ],
    "name": "Update Billing Address",
    "description": "This endpoint updates the billing address on the active cart of the current consumer.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "The site identifier."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Standardized format for global addresses.",
          "customType": "Address",
          "schema": [
            {
              "name": "street1",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "street2",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "county",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "stateOrRegion",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "Defaults to US.",
              "minLength": 2,
              "maxLength": 2
            },
            {
              "name": "postalCode",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "poBox",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": false
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Name",
              "customType": "Name",
              "schema": [
                {
                  "name": "first",
                  "kind": "required",
                  "type": "string",
                  "description": "The first name of the individual being addressed.",
                  "example": "John"
                },
                {
                  "name": "last",
                  "kind": "required",
                  "type": "string",
                  "description": "The last name of the individual being addressed.",
                  "example": "Smith"
                },
                {
                  "name": "middleInitial",
                  "kind": "optional",
                  "type": "string",
                  "description": "The middle initial of the individual being addressed.",
                  "example": "D."
                },
                {
                  "name": "salutation",
                  "kind": "optional",
                  "type": "string",
                  "description": "The salutation of the individual being addressed.",
                  "example": "Capt."
                },
                {
                  "name": "suffix",
                  "kind": "optional",
                  "type": "string",
                  "description": "The optional suffix of the individual being addressed.",
                  "example": "Sr."
                }
              ]
            },
            {
              "name": "businessName",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "phoneNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ],
          "modelRef": "#/components/schemas/Address",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        },
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "<p>Success-requested billing address updated.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string<uuid>",
            "description": "",
            "format": "uuid",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Hdu_4vtPmG1OW-gSJKT9j",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string' \\\n     --data '{\n     \"street1\": \"\",\n     \"city\": \"\",\n     \"stateOrRegion\": \"\",\n     \"country\": \"\",\n     \"postalCode\": \"\",\n     \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\"\n     }\n     }'"
        },
        {
          "id": "DDMputaauY_7JT5ZPx3O6",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar raw = JSON.stringify({\n   \"street1\": \"\",\n   \"city\": \"\",\n   \"stateOrRegion\": \"\",\n   \"country\": \"\",\n   \"postalCode\": \"\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ftpO_J3rmI7v7oHJ4_2FN",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\nrequest.body = JSON.dump({\n   \"street1\": \"\",\n   \"city\": \"\",\n   \"stateOrRegion\": \"\",\n   \"country\": \"\",\n   \"postalCode\": \"\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ATjbU0A21kkTDNWo3VnVQ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/cart/profile/cart/billingaddress\"\n\npayload = json.dumps({\n   \"street1\": \"\",\n   \"city\": \"\",\n   \"stateOrRegion\": \"\",\n   \"country\": \"\",\n   \"postalCode\": \"\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Hdu_4vtPmG1OW-gSJKT9j"
    },
    "results": {
      "languages": [
        {
          "id": "wW20wfDbj49Nx2EuZLM60",
          "language": "202",
          "code": "// Success-requested billing address updated.\n\"\""
        },
        {
          "id": "Y1HhwIXKSyyKKou0TCVPX",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "5MA1gCRAmXNMUzGFXZQow",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "TYHclkTQa-cirhERVKXwB",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "wW20wfDbj49Nx2EuZLM60"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}